aboutsummaryrefslogtreecommitdiffstats
path: root/packages/dbus/dbus/dbus-1.init
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2005-06-30 08:19:37 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2005-06-30 08:19:37 +0000
commitc8e5702127e507e82e6f68a4b8c546803accea9d (patch)
tree00583491f40ecc640f2b28452af995e3a63a09d7 /packages/dbus/dbus/dbus-1.init
parent87ec8ca4d2e2eb4d1c1e1e1a6b46a395d56805b9 (diff)
downloadopenembedded-c8e5702127e507e82e6f68a4b8c546803accea9d.tar.gz
openembedded-c8e5702127e507e82e6f68a4b8c546803accea9d.tar.bz2
openembedded-c8e5702127e507e82e6f68a4b8c546803accea9d.zip
import clean BK tree at cset 1.3670
Diffstat (limited to 'packages/dbus/dbus/dbus-1.init')
-rw-r--r--packages/dbus/dbus/dbus-1.init57
1 files changed, 57 insertions, 0 deletions
diff --git a/packages/dbus/dbus/dbus-1.init b/packages/dbus/dbus/dbus-1.init
index e69de29bb2..118b801da7 100644
--- a/packages/dbus/dbus/dbus-1.init
+++ b/packages/dbus/dbus/dbus-1.init
@@ -0,0 +1,57 @@
+#! /bin/sh
+# -*- coding: iso8859-1 -*-
+# Debian init.d script for D-BUS
+# Copyright (c) 2003 Colin Walters <walters@debian.org>
+
+set -e
+
+DAEMON=/usr/bin/dbus-daemon-1
+NAME=dbus-1
+DAEMONUSER=messagebus
+PIDFILE=/var/run/dbus/pid
+DESC="system message bus"
+
+test -x $DAEMON || exit 0
+
+# Source defaults file; edit that file to configure this script.
+ENABLED=1
+PARAMS=""
+if [ -e /etc/default/dbus-1 ]; then
+ . /etc/default/dbus-1
+fi
+
+test "$ENABLED" != "0" || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ if [ ! -d /var/run/dbus ]; then
+ mkdir /var/run/dbus
+ chown $DAEMONUSER:$DAEMONUSER /var/run/dbus
+ fi
+ start-stop-daemon -S \
+ -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ start-stop-daemon -K \
+ -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting $DESC: "
+ start-stop-daemon -K \
+ -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
+ sleep 1
+ start-stop-daemon -S \
+ -u $DAEMONUSER -x $DAEMON -- --system $PARAMS
+ echo "$NAME."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0